Subject: bug#32252: [PATCH] %o and %x now format signed numbers

From: Drew Adams <[email-masked]>
Date: Mon, 23 Jul 2018 18:20:32 -0700 (PDT)

> > 3. Why the change in the default behavior?
> 
> The primary motivation is that the old behavior can't reasonably be
> extended to bignums. Also, it's long been an annoyance that the old
> behavior was machine dependent: (format "%x" -1) yields different
> answers depending on what machine you're running on. The proposed change
> would make this usage portable, and would make it obvious what bignums
> should do.

Put that motivation in NEWS.  Users deserve to be told why
things change incompatibly.